Subject: Re: bug#20890: 25.0.50; build from git crashes on startup

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Apr 2018 13:06:07 +0300

> From: Robert Pluim <[email-masked]>
> Date: Tue, 03 Apr 2018 11:39:10 +0200
> Cc: Robert Marshall <[email-masked]>, Paul Eggert <[email-masked]>
> 
> Following Eli's suggestion in
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30874#88>, Iʼve tested
> the following workaround. It works, but it doesnʼt feel like the right
> thing to do. However, without it, cairo builds are completely
> unusable, and cairo is something we will need to enable by default in
> future.

Unless Handa-san can propose a better fix, I think we should install
this workaround.  The call to ftfont_close from GC is only needed in
applications that load and use gobs of fonts, which is not a frequent
situation.  The downside of this change is to let Emacs's memory
footprint grow larger, which is certainly better than a crash.

Thanks.